summaryrefslogtreecommitdiff
path: root/scripts/repo-add.sh.in
diff options
context:
space:
mode:
authorJohannes Löthberg <johannes@kyriasis.com>2015-05-26 11:46:08 +0200
committerAllan McRae <allan@archlinux.org>2015-06-20 17:32:57 +1000
commit2bed2090fbf9777f60bdc33eb44daf94c8c2a973 (patch)
treee06447972a032573d5924553590e27bd5febc3ca /scripts/repo-add.sh.in
parent53d963344964550c0ed02532016867ee84ad1aa8 (diff)
downloadpacman-2bed2090fbf9777f60bdc33eb44daf94c8c2a973.tar.xz
repo-add: Generate unarmored DB signature
Pacman cannot handle armored signatures, so use gpg's --no-armor flag to force an unarmored signature. Signed-off-by: Allan McRae <allan@archlinux.org>
Diffstat (limited to 'scripts/repo-add.sh.in')
-rw-r--r--scripts/repo-add.sh.in2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/repo-add.sh.in b/scripts/repo-add.sh.in
index 3ece8d5e..7e242ce2 100644
--- a/scripts/repo-add.sh.in
+++ b/scripts/repo-add.sh.in
@@ -264,7 +264,7 @@ create_signature() {
if [[ -n $GPGKEY ]]; then
SIGNWITHKEY="-u ${GPGKEY}"
fi
- gpg --detach-sign --use-agent ${SIGNWITHKEY} "$dbfile" &>/dev/null || ret=$?
+ gpg --detach-sign --use-agent --no-armor ${SIGNWITHKEY} "$dbfile" &>/dev/null || ret=$?
if (( ! ret )); then
msg2 "$(gettext "Created signature file '%s'")" "${dbfile##*/.tmp.}.sig"